Bug 450325 - Underquoted definition of AM_PATH_CINEPAINT
Underquoted definition of AM_PATH_CINEPAINT
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cinepaint (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 13:25 EDT by Jerry James
Modified: 2008-12-10 09:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 09:00:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2008-06-06 13:25:18 EDT
Description of problem:
Any invocation of aclocal on a machine with cinepaint-devel installed results in
this warning, even for packages with no relationship to cinepaint:

/usr/share/aclocal/cinepaint.m4:8: warning: underquoted definition of
AM_PATH_CINEPAINT
/usr/share/aclocal/cinepaint.m4:8:   run info '(automake)Extending aclocal'
/usr/share/aclocal/cinepaint.m4:8:   or see
http://sources.redhat.com/automake/automake.html#Extending-aclocal

All that needs to be done is to change line 8 of cinepaint.m4 to this:

AC_DEFUN([AM_PATH_CINEPAINT],

Version-Release number of selected component (if applicable):
cinepaint-devel-0.22.1-7.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Run aclocal in any directory with a configure.in or configure.ac file
  
Actual results:
The warning described above is issued.

Expected results:
No warnings.

Additional info:
Comment 1 Nicolas Chauvet (kwizart) 2008-06-12 20:42:38 EDT
This fix would be easy indeed.
But on the other way cinepaint will use pkg-config for the coming release.
(which will make cinepaint.m4 deprecated)
So I hope to have the problem fixed that way.

Note You need to log in before you can comment on or make changes to this bug.